Add leads
curl --request POST \
--url https://prod.leadvector.app/v1/leads/{uuid}/manual \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"leads": [
{
"email": "jane.doe@northwind.example",
"firstName": "Jane",
"lastName": "Doe",
"companyName": "Northwind",
"jobTitle": "Head of Sales",
"website": "https://northwind.example",
"linkedinUrl": "https://www.linkedin.com/in/jane-doe",
"city": "Lisbon",
"country": "Portugal"
}
],
"skipDuplicates": true
}
'import requests
url = "https://prod.leadvector.app/v1/leads/{uuid}/manual"
payload = {
"leads": [
{
"email": "jane.doe@northwind.example",
"firstName": "Jane",
"lastName": "Doe",
"companyName": "Northwind",
"jobTitle": "Head of Sales",
"website": "https://northwind.example",
"linkedinUrl": "https://www.linkedin.com/in/jane-doe",
"city": "Lisbon",
"country": "Portugal"
}
],
"skipDuplicates": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
leads: [
{
email: 'jane.doe@northwind.example',
firstName: 'Jane',
lastName: 'Doe',
companyName: 'Northwind',
jobTitle: 'Head of Sales',
website: 'https://northwind.example',
linkedinUrl: 'https://www.linkedin.com/in/jane-doe',
city: 'Lisbon',
country: 'Portugal'
}
],
skipDuplicates: true
})
};
fetch('https://prod.leadvector.app/v1/leads/{uuid}/manual', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.leadvector.app/v1/leads/{uuid}/manual",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'leads' => [
[
'email' => 'jane.doe@northwind.example',
'firstName' => 'Jane',
'lastName' => 'Doe',
'companyName' => 'Northwind',
'jobTitle' => 'Head of Sales',
'website' => 'https://northwind.example',
'linkedinUrl' => 'https://www.linkedin.com/in/jane-doe',
'city' => 'Lisbon',
'country' => 'Portugal'
]
],
'skipDuplicates' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod.leadvector.app/v1/leads/{uuid}/manual"
payload := strings.NewReader("{\n \"leads\": [\n {\n \"email\": \"jane.doe@northwind.example\",\n \"firstName\": \"Jane\",\n \"lastName\": \"Doe\",\n \"companyName\": \"Northwind\",\n \"jobTitle\": \"Head of Sales\",\n \"website\": \"https://northwind.example\",\n \"linkedinUrl\": \"https://www.linkedin.com/in/jane-doe\",\n \"city\": \"Lisbon\",\n \"country\": \"Portugal\"\n }\n ],\n \"skipDuplicates\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://prod.leadvector.app/v1/leads/{uuid}/manual")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"leads\": [\n {\n \"email\": \"jane.doe@northwind.example\",\n \"firstName\": \"Jane\",\n \"lastName\": \"Doe\",\n \"companyName\": \"Northwind\",\n \"jobTitle\": \"Head of Sales\",\n \"website\": \"https://northwind.example\",\n \"linkedinUrl\": \"https://www.linkedin.com/in/jane-doe\",\n \"city\": \"Lisbon\",\n \"country\": \"Portugal\"\n }\n ],\n \"skipDuplicates\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.leadvector.app/v1/leads/{uuid}/manual")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"leads\": [\n {\n \"email\": \"jane.doe@northwind.example\",\n \"firstName\": \"Jane\",\n \"lastName\": \"Doe\",\n \"companyName\": \"Northwind\",\n \"jobTitle\": \"Head of Sales\",\n \"website\": \"https://northwind.example\",\n \"linkedinUrl\": \"https://www.linkedin.com/in/jane-doe\",\n \"city\": \"Lisbon\",\n \"country\": \"Portugal\"\n }\n ],\n \"skipDuplicates\": true\n}"
response = http.request(request)
puts response.read_body{
"message": "Campaign leads added successfully",
"data": {
"totalRows": 3,
"validEmails": 3,
"uniqueEmails": 3,
"duplicateRowsInCsv": 0,
"createdContacts": 1,
"existingContacts": 2,
"createdContactCompanies": 1,
"existingContactCompanies": 2,
"addedToCampaign": 3,
"skippedDuplicates": 0,
"invalidRows": 0
}
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "RATE_LIMIT_EXCEEDED",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"limit": 10,
"windowSeconds": 60,
"retryAfterSeconds": 6,
"error": "Unauthorized"
}Leads
Add leads
Adds several leads to the campaign at once, one address each. A contact LeadVector already holds is reused. The answer counts what was added and what was left out.
POST
/
v1
/
leads
/
{uuid}
/
manual
Add leads
curl --request POST \
--url https://prod.leadvector.app/v1/leads/{uuid}/manual \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"leads": [
{
"email": "jane.doe@northwind.example",
"firstName": "Jane",
"lastName": "Doe",
"companyName": "Northwind",
"jobTitle": "Head of Sales",
"website": "https://northwind.example",
"linkedinUrl": "https://www.linkedin.com/in/jane-doe",
"city": "Lisbon",
"country": "Portugal"
}
],
"skipDuplicates": true
}
'import requests
url = "https://prod.leadvector.app/v1/leads/{uuid}/manual"
payload = {
"leads": [
{
"email": "jane.doe@northwind.example",
"firstName": "Jane",
"lastName": "Doe",
"companyName": "Northwind",
"jobTitle": "Head of Sales",
"website": "https://northwind.example",
"linkedinUrl": "https://www.linkedin.com/in/jane-doe",
"city": "Lisbon",
"country": "Portugal"
}
],
"skipDuplicates": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
leads: [
{
email: 'jane.doe@northwind.example',
firstName: 'Jane',
lastName: 'Doe',
companyName: 'Northwind',
jobTitle: 'Head of Sales',
website: 'https://northwind.example',
linkedinUrl: 'https://www.linkedin.com/in/jane-doe',
city: 'Lisbon',
country: 'Portugal'
}
],
skipDuplicates: true
})
};
fetch('https://prod.leadvector.app/v1/leads/{uuid}/manual', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.leadvector.app/v1/leads/{uuid}/manual",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'leads' => [
[
'email' => 'jane.doe@northwind.example',
'firstName' => 'Jane',
'lastName' => 'Doe',
'companyName' => 'Northwind',
'jobTitle' => 'Head of Sales',
'website' => 'https://northwind.example',
'linkedinUrl' => 'https://www.linkedin.com/in/jane-doe',
'city' => 'Lisbon',
'country' => 'Portugal'
]
],
'skipDuplicates' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod.leadvector.app/v1/leads/{uuid}/manual"
payload := strings.NewReader("{\n \"leads\": [\n {\n \"email\": \"jane.doe@northwind.example\",\n \"firstName\": \"Jane\",\n \"lastName\": \"Doe\",\n \"companyName\": \"Northwind\",\n \"jobTitle\": \"Head of Sales\",\n \"website\": \"https://northwind.example\",\n \"linkedinUrl\": \"https://www.linkedin.com/in/jane-doe\",\n \"city\": \"Lisbon\",\n \"country\": \"Portugal\"\n }\n ],\n \"skipDuplicates\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://prod.leadvector.app/v1/leads/{uuid}/manual")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"leads\": [\n {\n \"email\": \"jane.doe@northwind.example\",\n \"firstName\": \"Jane\",\n \"lastName\": \"Doe\",\n \"companyName\": \"Northwind\",\n \"jobTitle\": \"Head of Sales\",\n \"website\": \"https://northwind.example\",\n \"linkedinUrl\": \"https://www.linkedin.com/in/jane-doe\",\n \"city\": \"Lisbon\",\n \"country\": \"Portugal\"\n }\n ],\n \"skipDuplicates\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.leadvector.app/v1/leads/{uuid}/manual")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"leads\": [\n {\n \"email\": \"jane.doe@northwind.example\",\n \"firstName\": \"Jane\",\n \"lastName\": \"Doe\",\n \"companyName\": \"Northwind\",\n \"jobTitle\": \"Head of Sales\",\n \"website\": \"https://northwind.example\",\n \"linkedinUrl\": \"https://www.linkedin.com/in/jane-doe\",\n \"city\": \"Lisbon\",\n \"country\": \"Portugal\"\n }\n ],\n \"skipDuplicates\": true\n}"
response = http.request(request)
puts response.read_body{
"message": "Campaign leads added successfully",
"data": {
"totalRows": 3,
"validEmails": 3,
"uniqueEmails": 3,
"duplicateRowsInCsv": 0,
"createdContacts": 1,
"existingContacts": 2,
"createdContactCompanies": 1,
"existingContactCompanies": 2,
"addedToCampaign": 3,
"skippedDuplicates": 0,
"invalidRows": 0
}
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "RATE_LIMIT_EXCEEDED",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"limit": 10,
"windowSeconds": 60,
"retryAfterSeconds": 6,
"error": "Unauthorized"
}Authorizations
Your API key, from the API keys page of the app.
Path Parameters
The campaign's UUID.
Example:
"019f2504-58b8-77ec-9c3f-54f5d6df733e"
Body
application/json